<?php
if (!defined('ABSPATH')) exit;

function mpceGMAInitGlobalSettings() {
	static $inited = false;
	if (!$inited) {
		$inited = true;

		define('MPCE_GMA_PLUGIN_NAME', 'mpce-google-maps-addon');
		require_once ABSPATH . 'wp-admin/includes/plugin.php';
		$pluginData = get_plugin_data(MPCE_GMA_PLUGIN_DIR . MPCE_GMA_PLUGIN_NAME . '.php', false, false);

		define('MPCE_GMA_PLUGIN_SHORT_NAME', 'mpce-gma');
		define('MPCE_GMA_PLUGIN_DIR_NAME', basename(dirname(MPCE_GMA_PLUGIN_FILE)));
		define('MPCE_GMA_PLUGIN_DIR_URL', plugin_dir_url(MPCE_GMA_PLUGIN_DIR_NAME . '/' . basename(MPCE_GMA_PLUGIN_FILE)));
		define('MPCE_GMA_VERSION', $pluginData['Version']);
		define('MPCE_GMA_AUTHOR', $pluginData['Author']);

		//define('MPCE_GMA_LICENSE_TYPE', 'Personal');
		define('MPCE_GMA_EDD_STORE_URL', $pluginData['PluginURI']);
		define('MPCE_GMA_EDD_ITEM_NAME', $pluginData['Name']/* . ' ' . MPCE_GMA_LICENSE_TYPE*/);
		define('MPCE_GMA_EDD_ITEM_ID', 125098);
		define('MPCE_GMA_RENEW_URL', $pluginData['PluginURI'] . 'buy/');

        global $gmaLicense;
        $gmaLicense = new GMALicense();
	}
}
mpceGMAInitGlobalSettings();